import { ReactNode } from 'react';
interface IProviderProps {
    children: ReactNode;
}
export declare function createMutableContext<T>(initialValue: T): {
    Provider: (props: IProviderProps) => JSX.Element;
    use: () => [T, (newValue: T) => void];
    getValue: () => T;
    setValue: (newValue: T) => void;
};
export {};
